<?php
/**
 * Block Patterns
 *
 * @package fse_soccer_league
 * @since 1.0
 */

function fse_soccer_league_register_block_patterns() {
	$fse_soccer_league_block_pattern_categories = array(
		'fse-soccer-league' => array( 'label' => esc_html__( 'FSE Soccer League', 'fse-soccer-league' ) ),
		'pages' => array( 'label' => esc_html__( 'Pages', 'fse-soccer-league' ) ),
	);

	$fse_soccer_league_block_pattern_categories = apply_filters( 'fse_soccer_league_fse_soccer_league_block_pattern_categories', $fse_soccer_league_block_pattern_categories );

	foreach ( $fse_soccer_league_block_pattern_categories as $name => $properties ) {
		if ( ! WP_Block_Pattern_Categories_Registry::get_instance()->is_registered( $name ) ) {
			register_block_pattern_category( $name, $properties );
		}
	}
}
add_action( 'init', 'fse_soccer_league_register_block_patterns', 9 );